Переполнение буфера в DCE/RPC препроцессоре в Snort

Дата публикации:
20.02.2007
Дата изменения:
15.03.2007
Всего просмотров:
2175
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Snort 2.6.x
Уязвимые версии: Snort 2.6.1, 2.6.1.1, 2.6.1.2 и 2.7.0 beta 1

Описание:
Удаленный пользователь может выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в DCE/RPC препроцессоре при реассемблировании SMB Write AndX запросов. Удаленный пользователь может с помощью специально сформированного пакета вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.snort.org

Решение: Установите последнюю версию (2.6.1.3) с сайта производителя.

Ссылки: Sourcefire Snort Remote Buffer Overflow
2007-02-19 Sourcefire Advisory: Vulnerability in Snort DCE/RPC Preprocessor
Nortel SSL VPN Linux Client <= 6.0.3 Local Privilege Escalation Exploit
Snort 2.6.1 DCE/RPC Preprocessor Remote Buffer Overflow Exploit

или введите имя

CAPTCHA